/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/



@mixin anim-helper ($name, $type, $delay: 0s) {
  @if ($type == 'input') {
    animation-delay: $delay;
    animation-duration: $transition-speed-input;
    animation-timing-function: $transition-entrance;
  }

  @else if ($type == 'exit') {
    animation-delay: $delay;
    animation-duration: $transition-speed-exit;
    animation-timing-function: $transition-exit;
  }

  @else {
    animation-delay: $delay;
    animation-duration: $transition-speed-moviment;
    animation-timing-function: $transition-moviment;
  }

  animation-fill-mode: forwards;
  animation-name: $name;
}
